EDIT - feature request #6581

Make all microreferenced references OriginalSources
04/24/2017 04:36 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

Currently we have OriginalSource usually used for collections of sources while single references such as nomenclaturalReference or
references for relations (or even secundum reference) use 2 fields for defining the reference, the references and the microreference
fields. This is generally problematic e.g. when formatting the nomenclatural citation. Also it reduces the possibility to add further
information that is available in OriginalSource such as name used in source (could be used for original spelling), source information
(currently "name in source"), or further features such as URL(s) that do link to an online version of the source together with a
comment (see #6588).

We may want to handle all these references as OriginalSources. Also this eases the usage of the Reference class as it is not linked
from so many places anymore (but therefore OriginalSource is linked more). Also we can easier implement common formatters for
sources.

Also this could improve the handling for protologues and similar "proves" for nomenclatural acts or references in general.

Possible candidates are

nomenclatural reference

RelationshipBase reference (TaxonRelationship, NameRelationship, HybridRelationship)
TypeDesignation (rename to designationSource => #9332)

Classification => needs further discussion as classification is SourcedEntityBase #9211
Secundum reference => #9327

e TaxonNode

¢ NomenclaturalStatus

o e o o O

Note: We already have the class ReferencedEntityBase which inherits from AnnotatableEntity and is the base class for
RelationshipBase and TypeDesignation. This can be kept and the 3 parameters citation, microCitation and originalNameString can
be replaced by according OriginalSource fields.

Open issues:

QFgmalSeweee =>we demded not to do SO
o Sheuld-we-have-a-strict-type-cheekingforthe OriginalSedreeType? => we do not handle source type for these sources in

TaxEditor yet maybe this becomes more interesting if we have somethlng like SecondaryTaxonomlcSource
https://dev.e-taxonomy.eu/redmine/issues/6588
https://dev.e-taxonomy.eu/redmine/issues/9332
https://dev.e-taxonomy.eu/redmine/issues/9211
https://dev.e-taxonomy.eu/redmine/issues/9327
https://dev.e-taxonomy.eu/redmine/issues/9069
https://dev.e-taxonomy.eu/redmine/issues/9330

Related issues:

Related to EDIT - feature request #6588: Add URL and URL comment to OriginalS...
Related to EDIT - task #6591: Use name used in source for original spelling

Related to EDIT - bug #6623: formatter for bibliografic citations with citati...

Related to EDIT - feature request #6916: Link IntextReference to OriginalSour...
Related to EDIT - bug #7781: original spelling is missing for accepted taxon ...
Related to EDIT - feature request #8017: TypeDesignations need sources additi...
Related to EDIT - feature request #9004: Make TaxonNode.referenceForParentChi...
Related to EDIT - feature request #9116: Adapt Editor to switch to originalSo...
Related to EDIT - feature request #9194: Make RelationshipBase and Nomenclatu...
Related to EDIT - bug #9199: Adapt TaxEditor to switch to originalSource for ...
Related to EDIT - task #9222: Adapt dataportal to switch to originalSource fo...
Related to EDIT - bug #9223: make changes of nomenclatural references detecta...
Related to EDIT - feature request #9225: Make TaxonName.nomenclaturalSource a...
Related to EDIT - feature request #9229: TaxonNameEditor: use NomenclaturalSt...
Related to EDIT - task #9266: Remove protologue section from TaxEditor

Related to EDIT - bug #9289: LazylnitializationException (LIE) in NameTypeDes...
Related to EDIT - bug #9313: LazylnitializationException (LIE) in TaxonNamePo...
Related to EDIT - task #9315: Remove old single source citation and microCita...
Related to EDIT - bug #9312: NullPointerException (NPE) in TaxonNamePopupEditor
Related to EDIT - bug #9318: TaxonNameEditor: nomenclatural reference no long...
Related to EDIT - task #9536: Remove old single source citation and microCita...
Related to EDIT - task #9330: Remove "NomenclaturalSource" from OriginalSourc...
Related to EDIT - feature request #9332: Rename TypeDesignationBase.source to...
Blocks EDIT - feature request #6589: Handle protologue as original source wit...
Copied from EDIT - bug #9069: Remove orphan single sources

Copied to EDIT - feature request #9211: Handle source(s) for Classification

Copied to EDIT - feature request #9327: Make taxon secundum reference an orig...
Copied to EDIT - feature request #9331: Distinguish DescriptionElementSource ...

Closed
Closed
Closed
In Progress
New
Closed
Closed
Closed
Closed
Closed
Closed
Resolved
Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed
Closed
New
Closed
Closed
Closed

Associated revisions

Revision 94d72025 - 05/09/2018 01:21 PM - Andreas Miiller

ref #6581 first incomplete version for making nomenclatural reference an orginal source

Revision 82ceb6d9 - 05/09/2018 01:21 PM - Andreas Miuller

ref #6581 nomRef to OriginalSource allow setNomRef by Interface for compiling

Revision 0e34b7ad - 05/09/2018 01:21 PM - Andreas Miller

ref #6581 add DescriptionElementSource to TaxonName import

Revision 5d30857a - 05/09/2018 01:21 PM - Andreas Miiller

ref #6581 add uuid to OriginalSourceType.NomenclaturalReference

Revision 19bb1cb2 - 05/09/2018 01:21 PM - Andreas Miiller

ref #6581 add TaxonName.nomenclaturalSource_id and adapt constructor visibility for DescriptionElementSource

Revision 59e36d30 - 05/09/2018 01:21 PM - Andreas Miiller

ref #6581 preliminary revert some changes for making nomenclaturalReference an OriginalSource

Revision cbdcc8dd - 06/12/2020 08:05 PM - Andreas Miiller
ref #9004, ref #6581 add isEmpty to OriginalSource and super classes
Revision 027f931b - 06/12/2020 08:05 PM - Andreas Miiller

ref #9004, ref #6581 link TaxonNode to OriginalSource, not Reference and micro reference String

Revision 046711ec - 06/12/2020 08:05 PM - Andreas Miiller

ref #6581 checkSource uses OriginalSource.isEmpty for nomenclaturalSources

Revision 03e4¢253 - 06/12/2020 08:05 PM - Andreas Miiller

ref #6581 add "source" to Classification, TypeDesignation, RelationshipBase and NomenclaturalStatus

Revision 1f1f7eal - 06/12/2020 08:05 PM - Andreas Miiller

ref #6581 , fix #9004 update script for TaxonNode.source and some fixes

Revision 149ff443 - 06/12/2020 08:19 PM - Andreas Miiller
ref #6581 ,ref #9004 fix Reference2SourceMover

Revision cf6aefdd - 06/12/2020 09:00 PM - Andreas Miiller
ref #6581 ,ref #9004 fix preliminary SingleSourcedEntityBase class hierarchy

Revision fdf36f4e - 06/12/2020 09:07 PM - Andreas Miiller
ref #6581 ,ref #9004 fix preliminary SingleSourcedEntityBase class hierarchy (cont.)

Revision 4513cfd5 - 06/12/2020 10:06 PM - Andreas Miiller
ref #6581 ,ref #9004 fix orphanRemoval for ISingleSourced

Revision d17a60c0 - 08/20/2020 09:00 AM - Andreas Miiller
ref #9194, ref #6581 use DescriptionElementSource for SingleSourcedEntityBase

Revision b6d851cf - 08/20/2020 09:00 AM - Andreas Miiller
ref #9194, ref #6581 Remove ReferencedEntityBase

Revision 869cb64b - 08/20/2020 09:07 AM - Andreas Miiller
ref ##9199, ref #6581, #9194 adapt TaxEditor to ReferencedEntityBase removal (has open issues)

Revision ¢7482183 - 08/20/2020 09:21 AM - Andreas Miiller
ref #9194, ref #6581 fix propOrder

Revision 24352587 - 08/20/2020 12:40 PM - Andreas Miiller
ref #9194, ref #6581 update model cache

Revision e604c689 - 08/24/2020 07:34 PM - Andreas Miiller

ref #9194, ref #6581 remove null values for CitationMicroReference and OriginalNameString from test data

Revision ece6b63a - 08/25/2020 09:57 AM - Andreas Miuller

ref #9194, ref #6581 remove null values for CitationMicroReference and OriginalNameString from test data in vaadin

Revision 4b585df9 - 08/26/2020 01:16 PM - Katja Luther

ref #6581: adapt getter/setter of citation/microcitation in typedesignationbase

Revision b5aa6bf0 - 08/26/2020 01:41 PM - Katja Luther
ref #6581: fix problems with getter and setter

Revision b417d8fa - 08/26/2020 02:41 PM - Katja Luther

ref #6581: activate nomenclatural source

Revision d4f22ec1 - 08/26/2020 03:00 PM - Andreas Miiller

ref #6581 adapt registration tests to new source handling in typeDesignation and for nomenclaturalReference
Revision 370c23ac - 08/26/2020 04:35 PM - Andreas Miiller

ref #6581 fix persistence tests (except for 1)

Revision 8317888 - 08/26/2020 05:01 PM - Andreas Miiller
ref #6581 fix further tests

Revision 33defdeb - 08/27/2020 07:12 AM - Andreas Miiller

ref #6581 fix further testdata for nomenclatural reference testing

Revision 2686feab - 08/27/2020 09:37 AM - Andreas Miiller

ref #6581 remove null-values for nomenclaturalReference and nomenclaturalMicroReference from Test-Files

Revision c6c60718 - 08/27/2020 11:06 AM - Andreas Miiller
ref #6581 fix source type in TypeDesignationBase

Revision a26ed8d5 - 08/27/2020 11:08 AM - Andreas Miiller
ref #6581 fix RegistrationServiceTest test data

Revision 3bb1975d - 08/27/2020 11:11 AM - Andreas Miiller
ref #6581 adapt list/count query in RegistrationDaoHibernatelmpl

Revision 0ae9e37c - 08/27/2020 11:47 AM - Andreas Miiller

ref #6581 fix test data with nomenclaturalMicroReference not being null

Revision 267940ec - 08/27/2020 11:49 AM - Andreas Miiller

ref #6581 fix test data with nomenclaturalMicroReference not being null

Revision 1€29642a - 08/27/2020 11:54 AM - Andreas Miiller

ref #6581 fix test data with nomenclaturalMicroReference not being null (cont)

Revision 72644cc0 - 08/27/2020 11:58 AM - Andreas Miiller

ref #6581 remove null values for citationmicroreference and citation_id from test data

Revision 6aae1432 - 08/27/2020 01:52 PM - Andreas Miiller

ref #6581 remove unnecessary nomenclaturalReference_ids from test data

Revision d43f4436 - 08/27/2020 03:14 PM - Andreas Miiller

ref #6581 adapt search in ReferenceDaoHibernatelmpl

Revision 777ccdd0 - 08/27/2020 03:18 PM - Andreas Miller

ref #6581 remove unnecessary links to nomenclaturalReference in persistence test data

Revision b0a6f980 - 08/27/2020 03:18 PM - Andreas Miiller

ref #6581 adapt links to nomenclaturalReference in persistence test data

Revision 806a0fa9 - 08/27/2020 03:19 PM - Andreas Miiller
ref #6581 remove CITATIONMICROREFERENCE from TaxonRelationship in test data

Revision eae56a30 - 08/27/2020 06:54 PM - Andreas Miiller

ref #6581 update HQL and property paths and similar to nomenclaturalSource (some issues unclear)

Revision 35a1b7c4 - 08/27/2020 07:00 PM - Andreas Miiller

ref #6581 remove or adapt nomenclaturalReference in service test data (and some removing of not needed data)

Revision 7ccaf356 - 08/27/2020 11:45 PM - Andreas Miiller

ref #6581 adapt TaxonGraphBeforeTransactionCompleteProcess to nomenclaturalSource
Revision c41¢3457 - 08/27/2020 11:46 PM - Andreas Miiller

ref #6581 adapt NoDuplicateNamesValidator to nomenclaturalSource (doubtful if correct, but all this validation rule must be refactored)

Revision 5eaab3bf - 08/27/2020 11:47 PM - Andreas Miiller

ref #6581 fully remove nomenclaturalReference and nomenclaturalMicroReference fields from TaxonName

Revision b5e55a3d - 08/27/2020 11:48 PM - Andreas Miiller
ref #6581 !l PRELIMINARY IGNORE TaxonGraphHibernateListenerTest !!!

Revision 53fe462e - 08/28/2020 12:07 AM - Andreas Miiller

ref #6581 fully remove nomenclaturalReference and nomenclaturalMicroReference fields from TaxonName (cont.)

Revision ab6924d5 - 08/28/2020 12:07 AM - Andreas Miiller
ref #6581 fix ReferringObjectMetadataFactory Test.xml

Revision 4e3ee11f - 08/28/2020 12:08 AM - Andreas Miiller

ref #6581 improve setNomenclaturalReference(...) handling

Revision 4919978c - 08/28/2020 12:10 AM - Andreas Miiller
ref #6581 !l PRELIMINARY IGNORE TaxonNameDefaultCacheStrategyTest !!!

Revision d2bbfb7a - 08/28/2020 12:49 PM - Andreas Miiller

ref #6581 remove unused reference and microreference fields from SingleSourced classes (incl. TypeDesignationBase)

Revision 560db24d - 08/28/2020 01:05 PM - Andreas Miiller
ref #6581 update dataset.dtd in cdmlib

Revision 6b250b8c - 08/28/2020 01:06 PM - Andreas Miiller
ref #6581 update dataset.dtd in taxeditor

Revision 1a5f4cbd - 08/28/2020 01:12 PM - Andreas Miiller

ref #6581 fix testdata for DerivedUnitConverterintegrationTest.cascadeDelete

Revision 526f235a - 08/28/2020 01:15 PM - Andreas Miiller

ref #6581 remove referenceForParentChildRelation from 001-cdm.h2.sq|

Revision 67a5e8fa - 08/28/2020 01:22 PM - Andreas Miiller

ref #6581 adapt StatisticsDaoHibernatelmpl to TaxonNode.source

Revision 7016ecce - 08/28/2020 03:19 PM - Andreas Miiller
ref #6581 adapt SpecimenlmportConfiguratorTest test data

Revision 7da4623a - 08/28/2020 03:36 PM - Andreas Miiller
ref #6581 fix tests in SpecimenTypeDesignationWorkingSetServicelmpl

Revision fa734b21 - 08/28/2020 03:49 PM - Andreas Miiller
ref #6581 fix CdmSpringContextHelperTest in vaadin

Revision 8a626¢70 - 08/28/2020 03:51 PM - Andreas Miiller
ref #6581 try to fix key issue in SpecimenTypeDesignationWorkingSetServicelmplTest

Revision 6562ccfe - 08/31/2020 11:40 PM - Andreas Miiller

try to fix exception in MatchStrategyConfigurator

Revision e807e438 - 08/31/2020 11:41 PM - Andreas Miiller
ref #6581 try to fix exception in MatchStrategyConfigurator
Revision f800c017 - 09/07/2020 05:52 PM - Andreas Miiller

ref #6581 move references to sources for NomenclaturalStatus, NameRelationship, TaxonRelationship, HybridRelationship, TypeDesignation and
TaxonName.nomenclaturalReference

Revision ¢c754177e - 09/07/2020 10:37 PM - Andreas Miiller

ref #6581 fix detail handling with single quote character

Revision 4dee6d44 - 09/09/2020 10:07 AM - Andreas Kohlbecker

ref #9222 ref #6581 adapting web services to single sourced classes

Revision 84d9a25e - 09/09/2020 06:16 PM - Andreas Kohlbecker

ref #6581 ref #9222 adding PolytomousKeyNodePortalController and missing name.nomenclaturalSource init strategys in TaxonPortalController

Revision 96847705 - 09/10/2020 08:24 AM - Andreas Kohlbecker
ref #6581 ref #9222 fixing init strategy in TaxonPortalController

Revision 98505c5e - 09/10/2020 08:34 AM - Andreas Kohlbecker
ref #6581 ref #9222 fixing NPE in TaxonPortalController

Revision 7058de02 - 09/10/2020 09:31 AM - Andreas Miiller

ref #6581 adapt vaadin to new nomenclatural source handling

Revision cbd1fe7a - 09/10/2020 12:50 PM - Andreas Kohlbecker

ref #6581 fixing erroneously changes DTP field name

Revision a38340e1 - 09/11/2020 04:19 PM - Andreas Kohlbecker
ref #6581 fixing means to get bean property

Revision 9e4028e0 - 09/14/2020 11:02 PM - Andreas Miiller

ref #6581 add listener to TaxonName.nomenclaturalSource

Revision cdbbcaaf - 09/14/2020 11:03 PM - Andreas Miiller

ref #6581 add listener to TaxonName.nomenclaturalSource (cont.)

Revision 2d909919 - 09/22/2020 12:35 PM - Andreas Miiller

ref #6581 , ref #9225 cleanup TaxonName from nomenclaturalSource handling

Revision 975cc221 - 10/07/2020 11:28 AM - Andreas Miiller

ref #6581 adapt BerlinModelTaxonNameExport to new nomenclatural source handling

Revision 84760d27 - 11/12/2020 03:21 PM - Andreas Kohlbecker

ref #6581 adapting init strategy to new original source handling

Revision 004972d5 - 11/20/2020 04:46 PM - Andreas Kohlbecker

ref #9313 further init strategy extension to adapt to new OriginalSources ref #6581

Revision 374e76ca - 11/20/2020 06:07 PM - Andreas Miiller

ref #6581 fix update script for nomenclatural sources / nomenclatural status sources

History

#1 - 04/24/2017 08:35 PM - Andreas Miuller

- Description updated

#2 - 04/24/2017 09:54 PM - Andreas Miuller

- Description updated

#3 - 04/24/2017 10:11 PM - Andreas Miuller
- Related to feature request #6588: Add URL and URL comment to OriginalSource / ExternalLink added

#4 - 04/24/2017 10:19 PM - Andreas Miiller
- Blocks feature request #6589: Handle protologue as original source with URI link added

#5 - 04/24/2017 10:54 PM - Andreas Miller

- Description updated

#6 - 04/26/2017 12:49 AM - Andreas Miiller

- Related to task #6591: Use name used in source for original spelling added

#7 - 05/08/2017 11:23 PM - Andreas Miiller

AK: > Viel besser sollten wir das im ValidationFramework als Rule definieren.
+1

das Ticket https://dev.e-taxonomy.eu/redmine/issues/6581 freut mich wirklich sehr, denn die Nomenklatorischen Referenzen sind auch in Portal sehr
lastig, da man mit citation und citationDetail immer noch einen extra Request an den Server schicken muss um den kompletten Citation String zu
bekommen.

#8 - 06/05/2017 12:41 PM - Andreas Miiller
- Priority changed from New to Priority14

#9 - 06/07/2017 01:23 AM - Andreas Miiller
- Target version changed from CDM UML 4.7 to CDM UML 5.0

#10 - 06/09/2017 09:48 AM - Andreas Miiller
- Description updated
- Status changed from New to In Progress

- Priority changed from Priority14 to Highest

#11 - 06/09/2017 10:14 AM - Andreas Muller
- Description updated

- % Done changed from 0 to 10

#12 - 06/09/2017 10:21 AM - Andreas Miiller

- Description updated

#13 - 06/20/2017 06:07 PM - Andreas Miiller
- Related to bug #6623: formatter for bibliografic citations with citationDetail added

#14 - 08/15/2017 02:45 PM - Andreas Miiller

- Related to feature request #6916: Link IntextReference to OriginalSource, not Reference added

#15 - 05/11/2018 04:31 PM - Andreas Miiller
- Priority changed from Highest to Priority14

#16 - 05/14/2018 01:56 PM - Andreas Miiller
- Target version changed from CDM UML 5.0 to CDM UML 5.5

#18 - 09/24/2018 10:47 AM - Andreas Miiller

- Related to bug #7781: original spelling is missing for accepted taxon in taxon page added

#19 - 01/19/2019 12:34 AM - Andreas Miiller
- Priority changed from Priority14 to Priority13

#20 - 02/24/2019 01:35 PM - Andreas Miiller

- Related to feature request #8017: TypeDesignations need sources additional to lectotypifcation sources added
#21 - 02/25/2019 02:47 PM - Andreas Miiller
- Description updated

#22 - 05/05/2019 11:21 AM - Andreas Miiller
- Target version changed from CDM UML 5.5 to CDM UML 5.15

#23 - 06/12/2020 02:14 PM - Andreas Miiller

- Related to feature request #9004: Make TaxonNode.referenceForParentChildRelation an OriginalSource and rename it to (placement)source added

#24 - 06/13/2020 11:39 AM - Andreas Miiller

- Copied from bug #9069: Remove orphan single sources added

#25 - 06/18/2020 03:15 PM - Andreas Miiller
- Priority changed from Priority13 to Highest

#26 - 06/23/2020 02:55 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43

#27 - 07/01/2020 02:59 PM - Andreas Miiller

- Related to feature request #9116: Adapt Editor to switch to originalSource for TaxonNode and improve layout of TaxonNode dialogue added

#28 - 08/17/2020 02:24 PM - Andreas Miiller
- Description updated

#29 - 08/18/2020 07:50 PM - Andreas Miiller

- Related to feature request #9194: Make RelationshipBase and NomenclaturalStatus reference OriginalSource added

#30 - 08/19/2020 03:34 PM - Andreas Miiller

- Related to bug #9199: Adapt TaxEditor to switch to originalSource for remaining single sourced objects added

#31 - 09/02/2020 02:17 PM - Andreas Miiller

- Copied to feature request #9211: Handle source(s) for Classification added

#32 - 09/02/2020 02:17 PM - Andreas Miiller
- Description updated

#33 - 09/09/2020 10:05 AM - Andreas Kohlbecker

- Related to task #9222: Adapt dataportal to switch to originalSource for remaining single sourced classes added

#34 - 09/11/2020 05:53 PM - Andreas Kohlbecker

- Related to bug #9223: make changes of nomenclatural references detectable again in TaxonGraphBefore TransactionCompleteProcess added

#35 - 09/14/2020 10:39 PM - Andreas Miiller

- Related to feature request #9225: Make TaxonName.nomenclaturalSource a new DescriptionElementSource subclass added
#36 - 09/22/2020 02:43 PM - Andreas Kohlbecker
- Related to feature request #9229: TaxonNameEditor: use NomenclaturalStatusDTO to avoid data loading probems within setters in TaxonName

added

#37 - 10/27/2020 03:56 PM - Andreas Miiller
- % Done changed from 10 to 40

#38 - 11/16/2020 09:24 AM - Andreas Miuiller

- Status changed from In Progress to Resolved

This is more or less solved. Open issues hshould be moved to new tickets if not yet done.
#39 - 11/16/2020 09:24 AM - Andreas Miiller

- Related to feature request #9298: Preference for IDinSource, IdNamespace and original information in nomenclatural reference details view added

#40 - 11/16/2020 02:39 PM - Andreas Miiller
- Related to task #9266: Remove protologue section from TaxEditor added

#41 - 11/20/2020 01:45 PM - Andreas Kohlbecker
- Related to bug #9289: LazylnitializationException (LIE) in NameTypeDesignationEditor added

#42 - 11/20/2020 04:46 PM - Andreas Kohlbecker
- Related to bug #9313: LazylnitializationException (LIE) in TaxonNamePopupEditor added

#43 - 11/20/2020 06:21 PM - Andreas Miiller

- Related to task #9315: Remove old single source citation and microCitation columns added

#44 - 11/23/2020 01:04 PM - Andreas Kohlbecker
- Related to bug #9312: NullPointerException (NPE) in TaxonNamePopupEditor added

#45 - 11/24/2020 04:49 PM - Andreas Kohlbecker

- Related to bug #9318: TaxonNameEditor: nomenclatural reference no longer selectable added

#46 - 11/25/2020 08:07 PM - Andreas Miiller

- Copied to feature request #9327: Make taxon secundum reference an original source added

#47 - 11/25/2020 08:18 PM - Andreas Miiller

- Related to deleted (feature request #9298: Preference for IDinSource, IdNamespace and original information in nomenclatural reference details view)

#48 - 11/25/2020 09:06 PM - Andreas Miiller
- Description updated

#49 - 11/25/2020 09:28 PM - Andreas Miiller
- Description updated

#50 - 11/25/2020 09:32 PM - Andreas Miiller

- Copied to feature request #9331: Distinguish DescriptionElementSource and NamedSource added

#51 - 11/25/2020 09:37 PM - Andreas Miiller
- Description updated
- Status changed from Resolved to Closed

- % Done changed from 40 to 100

| think we can close this ticket now. Please reopen if you think there is still something open that is not yet handled in related tickets.

#52 - 11/25/2020 09:37 PM - Andreas Miiller

- Description updated

#53 - 11/25/2020 09:54 PM - Andreas Miiller

- Description updated

#54 - 11/27/2020 04:03 PM - Andreas Miiller
- Target version changed from CDM UML 5.43 to Release 5.18

#55 - 03/17/2021 07:28 PM - Andreas Miiller

- Related to task #9536: Remove old single source citation and microCitation columns for secundum and
DescriptionElementBase_OriginalSourceBase and TaxonName_NomenclaturalStatus added
#56 - 03/17/2021 10:24 PM - Andreas Miiller

- Related to task #9330: Remove "NomenclaturalSource" from OriginalSource Type added

#57 - 03/18/2021 10:02 AM - Andreas Miiller

- Description updated

#58 - 03/19/2021 03:47 PM - Andreas Miiller

- Related to feature request #9332: Rename TypeDesignationBase.source to .designationSource added
